$kind: http-request
url: "{{Local_URL}}accounts/transactions/add-payable"
method: POST
headers:
  username: textugapp
  apiKey: db03834002ed60dfa53963cc66bbeeb730142a16fd1bbbb6e1ebca862a798359
body:
  type: json
  content: "{\r

    \    \"transaction_date\": \"2025-04-04\",\r

    \    \"reference\": \"INC-20241004\",\r

    \    //\"project_id\": 1, Nullable\r

    \   // \"segment_id\": 2, Nullable\r

    \    //\"budget_id\": 3, Nullable\r

    \    \"journal_type_id\": 3, \r

    \    \"description\": \"Income supplies purchase\",\r

    \    \"currency_id\":\"7d8f4c77-3cdd-4403-b277-51d4988670c3\",\r

    \    \"lines\": [\r

    \          {\r

    \            \"debit_account_id\": 17, //Record expense account  --
    /get-expense-accounts\r

    \            \"credit_account_id\":27, //Record Liability account
    /get-liability-accounts\r

    \            \"amount\": 10\r

    \            \r

    \        }\r

    \    ]\r

    }\r\n"
auth:
  type: bearer
  credentials:
    token: "{{ERP_Local_Token}}"
order: 11000
